%define upstream_name    XS-Object-Magic
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Opaque, extensible XS pointer backed objects using "sv_magic"
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::Depends) >= 0.302.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(ok)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
Opaque, extensible XS pointer backed objects using "sv_magic".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -I . Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/XS
%perl_vendorarch/auto/XS

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.50.0-4.mga9
+ Revision: 1862620
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.50.0-3.mga9
+ Revision: 1796197
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.50.0-2.mga9
+ Revision: 1727326
- Rebuild for perl 5.34

* Fri Aug 14 2020 tv <tv> 0.50.0-1.mga8
+ Revision: 1613980
- update to 0.05

* Wed Jun 17 2020 umeabot <umeabot> 0.40.0-6.mga8
+ Revision: 1595312
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.40.0-5.mga8
+ Revision: 1530174
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.40.0-4.mga8
+ Revision: 1433956
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.40.0-3.mga7
+ Revision: 1294071
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 0.40.0-2.mga7
+ Revision: 1248668
- rebuild for perl 5.28

* Tue Jul 24 2018 wally <wally> 0.40.0-1.mga7
+ Revision: 1245142
- imported package perl-XS-Object-Magic


* Tue Jul 24 2018 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
